Last Comment Bug 867727 - Make users start over if the abort purchase during PIN setup
: Make users start over if the abort purchase during PIN setup
Status: VERIFIED FIXED
p=1
:
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.2
: All Gonk (Firefox OS)
: P3 normal (vote)
: 2013-05-23
Assigned To: Wraithan (Chris McDonald) [:wraithan]
:
:
Mentors:
Depends on:
Blocks: marketplace-payments
  Show dependency treegraph
 
Reported: 2013-05-01 12:57 PDT by krupa raj[:krupa]
Modified: 2013-05-22 15:17 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description krupa raj[:krupa] 2013-05-01 12:57:48 PDT
steps to reproduce:
1. Start the purchase flow for a paid app on marketplace-dev
2. Log in as a new user via Persona
3. Create PIN and click continue
4. In the confirm screen, close the screen by clicking "x"
5. Start the purchase flow again


expected behavior:
User is back on the Create PIN

observed behavior:
User is on the Confirm PIN screen. If a user returns after a month, we cannot expect the user to remember what they set as their PIN.

Let us not save the PIN until the user has confirmed it.
Comment 1 Wraithan (Chris McDonald) [:wraithan] 2013-05-02 09:39:57 PDT
https://github.com/mozilla/webpay/commit/4c4e037830053f3677ec1c2291194d5e85e1c970

We save the PIN because we have to, but this will detect if they are coming back into the flow (from mkt) and remove their pin if they have a pin but haven't verified it.
Comment 2 krupa raj[:krupa] 2013-05-13 13:02:36 PDT
I can still reproduce this on -dev. Same steps as comment 0
Comment 3 Wraithan (Chris McDonald) [:wraithan] 2013-05-21 13:09:05 PDT
https://github.com/mozilla/webpay/commit/777a2e612e5dc1def856bd187be71850b9722e94

Fixed as part of another bug fix.
Comment 4 krupa raj[:krupa] 2013-05-22 15:17:13 PDT
verified

Note You need to log in before you can comment on or make changes to this bug.